【活用ガイド】

JVNDB-2016-001585

libdwarf の dwarf_frame2.c の dwarf_read_cie_fde_prefix 関数におけるサービス運用妨害 (DoS) の脆弱性

概要

libdwarf の dwarf_frame2.c の dwarf_read_cie_fde_prefix 関数には、サービス運用妨害 (out-of-bounds read) 状態にされる脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 5.0 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 部分的

影響を受けるシステム


libdwarf project
  • libdwarf 20151114

想定される影響

攻撃者により、巧妙に細工された ELF オブジェクトファイルを介して、サービス運用妨害 (out-of-bounds read) 状態にされる可能性があります。
対策

ベンダ情報および参考情報を参照して適切な対策を実施してください。
ベンダ情報

libdwarf project
CWEによる脆弱性タイプ一覧  CWEとは?

  1. バッファエラー(CWE-119) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2016-2091
参考情報

  1. National Vulnerability Database (NVD) : CVE-2016-2091
  2. 関連文書 : Subject: Re: an out of bound read is found in libdwarf -20151114
  3. 関連文書 : Subject: Re:Re: Buffer Overflow in lha compression utility
更新履歴

[2016年03月07日]
  掲載